org.apache.poi.xslf.usermodel

## Class XSLFSlideLayout

- java.lang.Object
- - org.apache.poi.ooxml.POIXMLDocumentPart
  - - org.apache.poi.xslf.usermodel.XSLFSheet
    - - org.apache.poi.xslf.usermodel.XSLFSlideLayout

- All Implemented Interfaces:
    java.lang.Iterable<XSLFShape>, MasterSheet<XSLFShape,XSLFTextParagraph>, ShapeContainer<XSLFShape,XSLFTextParagraph>, Sheet<XSLFShape,XSLFTextParagraph>, XSLFShapeContainer

      @Beta
      public class XSLFSlideLayout
      extends XSLFSheet
      implements MasterSheet<XSLFShape,XSLFTextParagraph>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `POIXMLDocumentPart.RelationPart`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLFSlideLayout(PackagePart part)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyLayout(XSLFSlide slide)` Copy placeholders from this layout to the destination slide
    `XSLFBackground` | `getBackground()`
    `boolean` | `getFollowMasterGraphics()`
    `XSLFSlideMaster` | `getMasterSheet()`
    `java.lang.String` | `getName()`
    `protected java.lang.String` | `getRootElementName()`
    `XSLFSlideMaster` | `getSlideMaster()` Slide master object associated with this layout.
    `XSLFTheme` | `getTheme()`
    `SlideLayout` | `getType()`
    `org.openxmlformats.schemas.presentationml.x2006.main.CTSlideLayout` | `getXmlObject()` While developing only!

    - ### Methods inherited from class org.apache.poi.xslf.usermodel.XSLFSheet

      `addChart, addChart, addShape, allocateShapeId, appendContent, buildShapes, clear, commit, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTable, createTextBox, deregisterShapeId, draw, getPlaceholder, getPlaceholder, getPlaceholderDetails, getPlaceholders, getShapes, getSlideShow, getSpTree, getTextShapeByType, importContent, iterator, mapSchemeColor, mapSchemeColor, registerShapeId, removeShape`

    - ### Methods inherited from class org.apache.poi.ooxml.POIXMLDocumentPart

      `_invokeOnDocumentRead, addRelation, createRelationship, createRelationship, createRelationship, getNextPartNumber, getPackagePart, getParent, getRelationById, getRelationId, getRelationPartById, getRelationParts, getRelations, getTargetPart, isCommited, isCommitted, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, prepareForCommit, read, rebase, removeRelation, removeRelation, removeRelation, setCommited, setCommitted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.MasterSheet

      `getPlaceholder`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Sheet

      `draw, getPlaceholderDetails, getSlideShow`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.ShapeContainer

      `addShape, createAutoShape, createConnector, createFreeform, createGroup, createOleShape, createPicture, createTable, createTextBox, getShapes, removeShape`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, iterator, spliterator`

- - ### Constructor Detail

    - #### XSLFSlideLayout

          public XSLFSlideLayout(PackagePart part)
                          throws java.io.IOException,
                                 org.apache.xmlbeans.XmlException

      Throws:
        `java.io.IOException`
        `org.apache.xmlbeans.XmlException`
      Since:
        POI 3.14-Beta1

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getXmlObject

          @Internal
          public org.openxmlformats.schemas.presentationml.x2006.main.CTSlideLayout getXmlObject()

      While developing only!
      Specified by:
        `getXmlObject` in class `XSLFSheet`
      Returns:
        top-level Xml bean representing this sheet

    - #### getRootElementName

          protected java.lang.String getRootElementName()

      Specified by:
        `getRootElementName` in class `XSLFSheet`

    - #### getSlideMaster

          public XSLFSlideMaster getSlideMaster()

      Slide master object associated with this layout.
      Returns:
        slide master. Never null.
      Throws:
        `java.lang.IllegalStateException` - if slide master was not found

    - #### getMasterSheet

          public XSLFSlideMaster getMasterSheet()

      Specified by:
        `getMasterSheet` in interface `Sheet<XSLFShape,XSLFTextParagraph>`

    - #### getTheme

          public XSLFTheme getTheme()

      Overrides:
        `getTheme` in class `XSLFSheet`
      Returns:
        theme (shared styles) associated with this theme. By default returns `null` which means that this sheet is theme-less. Sheets that support the notion of themes (slides, masters, layouts, etc.) should override this method and return the corresponding package part.

    - #### getFollowMasterGraphics

          public boolean getFollowMasterGraphics()

      Specified by:
        `getFollowMasterGraphics` in interface `Sheet<XSLFShape,XSLFTextParagraph>`
      Overrides:
        `getFollowMasterGraphics` in class `XSLFSheet`
      Returns:
        whether shapes on the master sheet should be shown. By default master graphics is turned off. Sheets that support the notion of master (slide, slideLayout) should override it and check this setting in the sheet XML

    - #### getBackground

          public XSLFBackground getBackground()

      Specified by:
        `getBackground` in interface `Sheet<XSLFShape,XSLFTextParagraph>`
      Overrides:
        `getBackground` in class `XSLFSheet`
      Returns:
        background for this sheet

    - #### copyLayout

          public void copyLayout(XSLFSlide slide)

      Copy placeholders from this layout to the destination slide
      Parameters:
        `slide` - destination slide

    - #### getType

          public SlideLayout getType()

      Returns:
        type of this layout

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.